Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-multi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-multi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-multi.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-reorder.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-reorder.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2-reorder.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-usb2.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-virt-manager-basic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-virt-manager-basic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-virt-manager-basic.args
@@ -12,7 +12,9 @@ QEMU_AUDIO_DRV=spice \
 -smp 2,sockets=2,cores=1,threads=1 \
 -uuid 1b826c23-8767-47ad-a6b5-c83a88277f71 \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-virt-manager-basic/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-virt-manager-basic/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -rtc base=utc,driftfix=slew \
 -no-kvm-pit-reinjection \
 -no-hpet \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-virtio-pci.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35-virtio-pci.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35-virtio-pci.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-q35.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-q35.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ich9-usb-ehci1,id=usb,bus=pcie.0,addr=0x1d.0x7 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns0.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns0.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns0.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns1.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns1.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline-ns1.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-commandline.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline-ns0.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline-ns0.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline-ns0.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-commandline.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-ns0.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-ns0.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-domain-ns0.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-no-env.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-no-env.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns-no-env.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-qemu-ns.args
@@ -15,7 +15,9 @@ BAR='' \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-disabled.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-disabled.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-disabled.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot order=n,reboot-timeout=-1 \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-enabled.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-enabled.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-reboot-timeout-enabled.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot order=n,reboot-timeout=128 \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-restore-v2-fd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-restore-v2-fd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-restore-v2-fd.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-restore-v2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-restore-v2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-restore-v2.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dac-none.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dac-none.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dac-none.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-baselabel.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-baselabel.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-baselabel.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-labelskip.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-labelskip.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-labelskip.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-override.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-override.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-override.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-relabel.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-relabel.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic-relabel.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-dynamic.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-none.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-none.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-none.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-labelskip.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-labelskip.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-labelskip.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-relabel.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-relabel.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static-relabel.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-seclabel-static.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-dev.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-dev.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-dev.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-file.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-file.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-file.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-many.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-many.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-many.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-pty.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-pty.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-pty.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-spiceport-nospice.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-spiceport-nospice.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-spiceport-nospice.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp-telnet.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp-telnet.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp-telnet.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-tcp.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-udp.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-udp.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-udp.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-unix.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-unix.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-unix.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-vc.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-serial-vc.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-serial-vc.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-shmem-plain-doorbell.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-shmem-plain-doorbell.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-shmem-plain-doorbell.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-shmem.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-shmem.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-shmem.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-smbios.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-smbios.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-smbios.args
@@ -19,7 +19,9 @@ uuid=c7a5fdbd-edaf-9455-926a-d65c16db180
 serial=CZC1065993,asset=CZC1065993,location=Upside down' \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-smp.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-smp.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-smp.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-sound-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-sound-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-sound-device.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-sound.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-sound.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-sound.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-tpm-passthrough.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-tpm-passthrough.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-tpm-passthrough.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11d7cd22-da89-3094-6212-079a48a309a1 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-TPM-VM/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-TPM-VM/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -usb \
 -tpmdev passthrough,id=tpm-tpm0,path=/dev/tpm0,\
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-usb-controller-default-q35.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-usb-controller-default-q35.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-usb-controller-default-q35.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device piix3-usb-uhci,id=usb,bus=pcie.0,addr=0x1
